import type { InjectionKey, UnwrapNestedRefs, Ref } from 'vue';
import { inject } from 'vue';
import { UseStepperReturn } from 'senin-mini/hooks';
import { LifeRechargeConstants } from '@life-payment/core-vue';

type GasBillRechargeSteps = 'step1' | 'step2' | 'step3';

export interface GasBillRechargeContext
  extends UseStepperReturn<GasBillRechargeSteps, GasBillRechargeSteps[], GasBillRechargeSteps> {
  preSetForm: GasUserAccountExtraProperties;
}

export const GasBillRechargeContextKey: InjectionKey<GasBillRechargeContext> = Symbol(
  'GasBillRechargeContextKey'
);

export function useGasBillRechargeContext() {
  return inject(GasBillRechargeContextKey);
}

export type GasUserAccountExtraProperties = {
  gasOrgType: LifeRechargeConstants.GasOrgCodeEnum;
  province: string;
  city: string;
  gasAccount: string;
  remark: string;
};
